// Calc.h : Declaration of the CCalc

#ifndef __CALC_H_
#define __CALC_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CCalc
class ATL_NO_VTABLE CCalc : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CCalc, &CLSID_Calc>,
	public IDispatchImpl<ICalc, &IID_ICalc, &LIBID_CALCULATORLib>
{
public:
	int memory;
	CCalc()
	{
		memory = 0;
	}

DECLARE_REGISTRY_RESOURCEID(IDR_CALC)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CCalc)
	COM_INTERFACE_ENTRY(ICalc)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// ICalc
public:
	STDMETHOD(getMem)(/*[out, retval]*/ int * z);
	STDMETHOD(Mult)(int x, int y, /*[out, retval]*/ int * z);
	STDMETHOD(Sub)(int x, int y, /*[out, retval]*/ int * z);
	STDMETHOD(Add)(int x, int y, /*[out, retval]*/ int * z);
};

#endif //__CALC_H_
