// MinCalc.h : Deklaration von CMinCalc

#ifndef __MINCALC_H_
#define __MINCALC_H_

#include "resource.h"       // Hauptsymbole

/////////////////////////////////////////////////////////////////////////////
// CMinCalc
class ATL_NO_VTABLE CMinCalc : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CMinCalc, &CLSID_MinCalc>,
	public IDispatchImpl<IMinCalc, &IID_IMinCalc, &LIBID_MINCALC2002Lib>
{
public:
	CMinCalc()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_MINCALC)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CMinCalc)
	COM_INTERFACE_ENTRY(IMinCalc)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IMinCalc
public:
	STDMETHOD(Sub)(int x, int y, /*[out, retval]*/ int *z);
	STDMETHOD(Add)(int x, int y, /*[out, retval]*/ int * z);
};

#endif //__MINCALC_H_
